Name:           snmpd-smartctl-connector
Version:        0.10.1
Release:        1%{?dist}
Summary:        An SNMP extension script to provide access to harddisk SMART data

License:        GPLv3
URL:            https://www.mad-hacking.net/software/linux/agnostic/%{name}/index.xml
Source0:        https://github.com/MADhacking/%{name}/archive/%{name}-%{version}.tar.gz
Patch0:         snmpd-smartctl-connector_lib-path-patch.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:      noarch
Requires:       snmpd-connector-lib net-snmp net-snmp-utils smartctl-snmp-mib smartmontools


%description
The snmpd-smartctl-connector provides an SNMPD extension script and a helper 
script which together enable the SNMP daemon to be used to remotely monitor 
the health of the attached disk devices. Available information includes Drive 
Serial Number, Temperature, Reallocated Sector Count, Current Pending Sector 
Count, Off-line Uncorrectable Sector Count and UDMA CRC Error Count. Various 
drive lifetime indicators are also monitored including Read Error Rate, Seek 
Error Rate and Hardware ECC Recovered Rate.

%prep
%autosetup -n %{name}-%{name}-%{version} -p1


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
install -c -m 755 usr/sbin/snmpd-smartctl-connector $RPM_BUILD_ROOT%{_sbindir}
install -c -m 755 usr/sbin/update-smartctl-cache $RPM_BUILD_ROOT%{_sbindir}
install -c -m 644 etc/snmpd-smartctl-connector $RPM_BUILD_ROOT%{_sysconfdir}


%files
%config(noreplace) %{_sysconfdir}/snmpd-smartctl-connector
%license LICENSE
%doc README.md
%{_sbindir}/snmpd-smartctl-connector
%{_sbindir}/update-smartctl-cache


%changelog
* Mon Jun  4 2018 Gary T. Giesen <ggiesen@giesen.me> - 0.10.1-1
- Initial build.
